Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517908 - Submit button is always active on configuration page's "Help Menu" tab
Summary: Submit button is always active on configuration page's "Help Menu" tab
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Dávid Halász
QA Contact: Anurag
URL:
Whiteboard: ui:configuration
Depends On: 1511427
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 16:49 UTC by Satoe Imaishi
Modified: 2018-03-06 15:12 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1511427
Environment:
Last Closed: 2018-03-06 15:12:37 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Comment 2 Anurag 2017-11-29 07:31:02 UTC
Hi David,

The submit button is not responsive. When we make some changes and revert those changes the submit button should deactivate too.


Version: Version 5.9.0.11.20171127204214_e316988 


Steps to reproduce this:

1. Goto Configuration
2. Select CFME Region: Region 0 [0] from the accordion
3. Switch to Help Menu Tab
4. Make changes (Input some text in the any of the field)
5. Submit button gets activated
6. Revert the changes


Actual Result:
Submit button stays active.

Expected Result:
Submit button should not stay active.

Additional Information:
Please find the issue in this video: https://goo.gl/V9CdXC

Hence changing the status from ON_QA to Assigned.

Comment 5 CFME Bot 2017-11-29 20:41:30 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/a831efc3e110ec20512e2314e327faf8ea5ae966

commit a831efc3e110ec20512e2314e327faf8ea5ae966
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Nov 22 16:26:22 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 27 11:51:21 2017 -0500

    Merge pull request #2797 from skateman/help-menu-submit
    
    Store the session data in the right format for OPS/help_menu
    (cherry picked from commit 83b48221ba2edda8be64ae6329708fa21e29dcf6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517908

 app/controllers/ops_controller/settings/common.rb       |  2 +-
 spec/controllers/ops_controller/settings/common_spec.rb | 14 ++++++++++++++
 2 files changed, 15 insertions(+), 1 deletion(-)

Comment 7 CFME Bot 2017-11-30 23:11:54 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/874eee1d1f21dcc6618ed2cb59b969508668fdb8

commit 874eee1d1f21dcc6618ed2cb59b969508668fdb8
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Wed Nov 29 13:38:45 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Nov 29 13:38:45 2017 +0100

    Set default values for help menu link target types in settings.yml
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517908

 config/settings.yml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 8 CFME Bot 2017-12-01 14:57:04 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/2c2337420d189f872d1637f8353af1732a30fc9c

commit 2c2337420d189f872d1637f8353af1732a30fc9c
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Thu Nov 30 18:07:52 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Dec 1 09:52:00 2017 -0500

    Merge pull request #16549 from skateman/bz-1517908
    
    Set default values for help menu link target types in settings.yml
    (cherry picked from commit 8c2fcabb9bdd91347fe5a58d64675ca8157d0cc7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517908

 config/settings.yml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 9 CFME Bot 2017-12-04 07:48:38 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/af0a1c4cb9b289f1a5d73808d72eaa75a17cdca8

commit af0a1c4cb9b289f1a5d73808d72eaa75a17cdca8
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Wed Nov 29 13:40:03 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Nov 29 13:40:03 2017 +0100

    Fix handling default values for help menu settings
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517908

 app/controllers/ops_controller/settings/help_menu.rb | 3 ++-
 app/presenters/menu/default_menu.rb                  | 9 +++------
 2 files changed, 5 insertions(+), 7 deletions(-)

Comment 10 CFME Bot 2017-12-04 15:34:22 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d1d48d7dd240b25187a916b77b293406f30798e0

commit d1d48d7dd240b25187a916b77b293406f30798e0
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Dec 4 08:40:00 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Dec 4 10:27:45 2017 -0500

    Merge pull request #2859 from skateman/bz-1517908
    
    Fix handling default values for help menu settings
    (cherry picked from commit 2e33e594d4bad21e07c909ce1eb7745f13ce3995)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517908

 app/controllers/ops_controller/settings/help_menu.rb | 3 ++-
 app/presenters/menu/default_menu.rb                  | 9 +++------
 2 files changed, 5 insertions(+), 7 deletions(-)

Comment 11 Anurag 2017-12-12 12:24:50 UTC
Hello,

This issue is resolved, checked on version: Version 5.9.0.12.20171205180333_3e32b3d. Hence changing the state from ON-QA to Verified. Thanks for fixing this issue.

Thanks,
-Anurag


Note You need to log in before you can comment on or make changes to this bug.